layout_randomly {igraph} | R Documentation

## Randomly place vertices on a plane or in 3d space

### Description

This function uniformly randomly places the vertices of the graph in two or three dimensions.

### Usage

    layout_randomly(graph, dim = 2)

    randomly(...)

### Arguments

`graph` | The input graph.
`dim` | Integer scalar, the dimension of the space to use. It must be 2 or 3.
`...` | Parameters to pass to `layout_randomly`.

### Details

Randomly places vertices on a [-1,1] square (in 2d) or in a cube (in 3d). It is probably a useless layout, but it can use as a starting point for other layout generators.

### Value

A numeric matrix with two or three columns.

### Author(s)

Gabor Csardi csardi.gabor@gmail.com

### See Also

Other graph layouts: `add_layout_`, `component_wise`, `layout_as_bipartite`, `layout_as_star`, `layout_as_tree`, `layout_in_circle`, `layout_nicely`, `layout_on_grid`, `layout_on_sphere`, `layout_with_dh`, `layout_with_fr`, `layout_with_gem`, `layout_with_graphopt`, `layout_with_kk`, `layout_with_lgl`, `layout_with_mds`, `layout_with_sugiyama`, `layout_`, `merge_coords`, `norm_coords`, `normalize`

[Package igraph version 1.1.2 Index]